# Set a lead's introducer

**POST /api/v1/leads/{lead_uuid}/introducer**

Links the lead to an introducer of the firm. Requires `leads:updateAll`. A no-op when the lead already has that
introducer.


## Servers
- https://api.plannrcrm.com: https://api.plannrcrm.com ()


## Authentication methods
- Personal access token & O auth2


## Parameters

### Path parameters

- **lead_uuid** (string)
  The UUID of the lead.



### Body: application/json (object)

- **account_uuid** (string(uuid))
  UUID of the introducer to link the lead to.



## Responses
### 200


#### Body: application/json (object)
- **uuid** (string)

- **title** (string)

- **first_name** (string)

- **last_name** (string)

- **name** (string)

- **client_type** (string)

- **date_of_birth** (string)

- **status** (string)

- **status_changed_at** (string)

- **is_archived** (boolean)

- **is_promoted** (boolean)

- **can_update** (boolean)

- **can_archive** (boolean)

- **can_assign** (boolean)

- **can_update_introducer** (boolean)

- **source** (object)

- **sub_source** (object)

- **assigned_account** (object)

- **introduced_by** (object)

- **created_by** (object)

- **archived_by** (object)

- **promoted_by** (object)

- **client_account** (object)

- **primary_email** (object)

- **primary_phone_number** (object)

- **primary_address** (object)

- **interests** (array[object])

- **custom_fields** (array[object])

- **created_at** (string)

- **updated_at** (string)


### 403
Unauthorized

#### Body: application/json (object)
- **message** (string)
  A human-readable description of the error.


### 404
Lead belongs to another firm

#### Body: application/json (object)
- **message** (string)
  A human-readable description of the error.


### 409


#### Body: application/json (object)
- **message** (string)
  A human-readable description of the error.


### 422
Validation error

#### Body: application/json (object)
- **message** (string)
  A human-readable description of the error.

- **errors** (object)
  Validation messages keyed by the field that failed.



[Powered by Bump.sh](https://bump.sh)
